## org.eclipse.datatools.modelbase.sql.query
Interface TableJoined

All Superinterfaces:
  SQLObject, SQLQueryObject, TableReference

All Known Implementing Classes:
  TableJoinedImpl

public interface TableJoined
extends TableReference

A representation of the model object 'SQL Table Joined'.

The following features are supported:

- `Join Operator`
- `Join Condition`
- `Table Ref Right`
- `Table Ref Left`

See Also:
  `SQLQueryModelPackage.getTableJoined()`

Method Summary
`QuerySearchCondition` `getJoinCondition()` Returns the value of the 'Join Condition' containment reference.
`TableJoinedOperator` `getJoinOperator()` Returns the value of the 'Join Operator' attribute.
`TableReference` `getTableRefLeft()` Returns the value of the 'Table Ref Left' containment reference.
`TableReference` `getTableRefRight()` Returns the value of the 'Table Ref Right' containment reference.
`void` `setJoinCondition(QuerySearchCondition value)` Sets the value of the '`Join Condition`' containment reference.
`void` `setJoinOperator(TableJoinedOperator value)` Sets the value of the '`Join Operator`' attribute.
`void` `setTableRefLeft(TableReference value)` Sets the value of the '`Table Ref Left`' containment reference.
`void` `setTableRefRight(TableReference value)` Sets the value of the '`Table Ref Right`' containment reference.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.TableReference
`getNest, getQuerySelect, getTableJoinedLeft, getTableJoinedRight, setNest, setQuerySelect, setTableJoinedLeft, setTableJoinedRight`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getJoinOperator

    public TableJoinedOperator getJoinOperator()

  Returns the value of the 'Join Operator' attribute. The literals are from the enumeration `TableJoinedOperator`.

  If the meaning of the 'Join Operator' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Join Operator' attribute.
  See Also:
    `TableJoinedOperator`, `setJoinOperator(TableJoinedOperator)`, `SQLQueryModelPackage.getTableJoined_JoinOperator()`

### setJoinOperator

    public void setJoinOperator(TableJoinedOperator value)

  Sets the value of the '`Join Operator`' attribute.

  Parameters:
    `value` - the new value of the 'Join Operator' attribute.
  See Also:
    `TableJoinedOperator`, `getJoinOperator()`

### getJoinCondition

    public QuerySearchCondition getJoinCondition()

  Returns the value of the 'Join Condition' containment reference. It is bidirectional and its opposite is '`Table Joined`'.

  If the meaning of the 'Join Condition' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Join Condition' containment reference.
  See Also:
    `setJoinCondition(QuerySearchCondition)`, `SQLQueryModelPackage.getTableJoined_JoinCondition()`, `QuerySearchCondition.getTableJoined()`

### setJoinCondition

    public void setJoinCondition(QuerySearchCondition value)

  Sets the value of the '`Join Condition`' containment reference.

  Parameters:
    `value` - the new value of the 'Join Condition' containment reference.
  See Also:
    `getJoinCondition()`

### getTableRefRight

    public TableReference getTableRefRight()

  Returns the value of the 'Table Ref Right' containment reference. It is bidirectional and its opposite is '`Table Joined Right`'.

  If the meaning of the 'Table Ref Right' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Table Ref Right' containment reference.
  See Also:
    `setTableRefRight(TableReference)`, `SQLQueryModelPackage.getTableJoined_TableRefRight()`, `TableReference.getTableJoinedRight()`

### setTableRefRight

    public void setTableRefRight(TableReference value)

  Sets the value of the '`Table Ref Right`' containment reference.

  Parameters:
    `value` - the new value of the 'Table Ref Right' containment reference.
  See Also:
    `getTableRefRight()`

### getTableRefLeft

    public TableReference getTableRefLeft()

  Returns the value of the 'Table Ref Left' containment reference. It is bidirectional and its opposite is '`Table Joined Left`'.

  If the meaning of the 'Table Ref Left' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Table Ref Left' containment reference.
  See Also:
    `setTableRefLeft(TableReference)`, `SQLQueryModelPackage.getTableJoined_TableRefLeft()`, `TableReference.getTableJoinedLeft()`

### setTableRefLeft

    public void setTableRefLeft(TableReference value)

  Sets the value of the '`Table Ref Left`' containment reference.

  Parameters:
    `value` - the new value of the 'Table Ref Left' containment reference.
  See Also:
    `getTableRefLeft()`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.